# comment out if not snapshot
%define gitdate	20220724

# rel to bump
%define rel	1

Name:		hardinfo
Version:	0.6
Release:	%mkrel %{?gitdate:0.git%gitdate.}%{rel}
Summary:	A system profiler for Linux
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://hardinfo.org
Source0:	https://github.com/lpereira/hardinfo/archive/%{?gitdate:master}%{?!gitdate:%{version}}/%{name}-%{?gitdate}%{?!gitdate:%version}.tar.%{?gitdate:gz}%{?!gitdate:bz2}
BuildRequires:	pciutils
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gtk3-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	desktop-file-utils
BuildRequires:	cmake
BuildRequires:	lm_sensors-devel
Requires:	pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform
simple benchmarks.

%prep
%autosetup -p1 -n %{name}-%{?gitdate:master}%{?!gitdate:%version}

%build
%cmake \
     -DCMAKE_INSTALL_LIBDIR=%{_lib} \
     -DCMAKE_BUILD_TYPE=Release \
     -DHARDINFO_GTK3=ON \
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --set-comment='System Information' \
  --remove-category="Application" \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/hardinfo.png
%{_mandir}/man1/hardinfo.1*

